Bug 590433 - seahorse-agent doesn't accept passphrase containing percent sign ("%")
seahorse-agent doesn't accept passphrase containing percent sign ("%")
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seahorse-plugins (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 10:18 EDT by kaial.alt
Modified: 2012-08-16 15:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kaial.alt 2010-05-09 10:18:56 EDT
Description of problem:
If passpharse contains a percent sign ("%"), seahorse-agent refuses to accept it.


Version-Release number of selected component (if applicable): seahorse-plugins-2.30.1-1.fc13.x86_64


How reproducible:
Always when passphrase containt "%" and seahorse-agent is used

Steps to Reproduce:
1. change private key's passphrase to any string containing "%"
2. try "gpg2 --sign somefile" or any other password-requiring command with seahorse as gpg agent
  
Actual results:
$ gpg2 --sign somefile

You need a passphrase to unlock the secret key for
user: "xxx"
2048-bit DSA key, ID yyy, created zzz

gpg: Invalid passphrase; please try again ...

You need a passphrase to unlock the secret key for
user: "xxx"
2048-bit DSA key, ID yyy, created zzz

gpg: Invalid passphrase; please try again ...

You need a passphrase to unlock the secret key for
user: "xxx"
2048-bit DSA key, ID yyy, created zzz

gpg: no default secret key: Bad passphrase
gpg: signing failed: Bad passphrase

$ eval $(gpg-agent --daemon)
$ gpg2 --sign somefile

You need a passphrase to unlock the secret key for
user: "xxx"
2048-bit DSA key, ID yyy, created zzz

$



Expected results:
$ gpg2 --sign somefile

You need a passphrase to unlock the secret key for
user: "xxx"
2048-bit DSA key, ID yyy, created zzz

$
Comment 1 Bug Zapper 2010-07-30 07:35:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthias Clasen 2010-09-03 13:53:13 EDT
Filed upstream: https://bugzilla.gnome.org/show_bug.cgi?id=628722
Comment 3 Fedora End Of Life 2012-08-16 15:12:43 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.